diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-spatial-reuse.cc ns-3.45/examples/wireless/wifi-spatial-reuse.cc
--- ns-3.44/examples/wireless/wifi-spatial-reuse.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-spatial-reuse.cc	2025-06-01 20:34:45.275701000 -0700
@@ -345,17 +345,20 @@
     Config::Connect("/NodeList/*/ApplicationList/*/$ns3::PacketSocketServer/Rx",
                     MakeCallback(&SocketRx));
 
-    // Obtain pointers to the ObssPdAlgorithm objects and hook trace sinks
-    // to the Reset trace source on each STA.  Note that this trace connection
-    // cannot be done through the Config path system, so pointers are used.
-    auto deviceA = staDeviceA.Get(0)->GetObject<WifiNetDevice>();
-    auto hePhyA = DynamicCast<HePhy>(deviceA->GetPhy()->GetPhyEntity(WIFI_MOD_CLASS_HE));
-    // Pass in the context string "1" to allow the trace to distinguish objects
-    hePhyA->GetObssPdAlgorithm()->TraceConnect("Reset", "1", MakeCallback(&ResetTrace));
-    auto deviceB = staDeviceB.Get(0)->GetObject<WifiNetDevice>();
-    auto hePhyB = DynamicCast<HePhy>(deviceB->GetPhy()->GetPhyEntity(WIFI_MOD_CLASS_HE));
-    // Pass in the context string "2" to allow the trace to distinguish objects
-    hePhyB->GetObssPdAlgorithm()->TraceConnect("Reset", "2", MakeCallback(&ResetTrace));
+    if (enableObssPd)
+    {
+        // Obtain pointers to the ObssPdAlgorithm objects and hook trace sinks
+        // to the Reset trace source on each STA.  Note that this trace connection
+        // cannot be done through the Config path system, so pointers are used.
+        auto deviceA = staDeviceA.Get(0)->GetObject<WifiNetDevice>();
+        auto hePhyA = DynamicCast<HePhy>(deviceA->GetPhy()->GetPhyEntity(WIFI_MOD_CLASS_HE));
+        // Pass in the context string "1" to allow the trace to distinguish objects
+        hePhyA->GetObssPdAlgorithm()->TraceConnect("Reset", "1", MakeCallback(&ResetTrace));
+        auto deviceB = staDeviceB.Get(0)->GetObject<WifiNetDevice>();
+        auto hePhyB = DynamicCast<HePhy>(deviceB->GetPhy()->GetPhyEntity(WIFI_MOD_CLASS_HE));
+        // Pass in the context string "2" to allow the trace to distinguish objects
+        hePhyB->GetObssPdAlgorithm()->TraceConnect("Reset", "2", MakeCallback(&ResetTrace));
+    }
 
     Simulator::Stop(duration);
     Simulator::Run();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-vht-network.cc ns-3.45/examples/wireless/wifi-vht-network.cc
--- ns-3.44/examples/wireless/wifi-vht-network.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-vht-network.cc	2025-06-01 20:34:45.276701000 -0700
@@ -148,6 +148,11 @@
 
     int minChannelWidth = 20;
     int maxChannelWidth = 160;
+    if ((channelWidth != -1) &&
+        ((channelWidth < minChannelWidth) || (channelWidth > maxChannelWidth)))
+    {
+        NS_FATAL_ERROR("Invalid channel width: " << channelWidth << " MHz");
+    }
     if (channelWidth >= minChannelWidth && channelWidth <= maxChannelWidth)
     {
         minChannelWidth = channelWidth;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/ns3 ns-3.45/ns3
--- ns-3.44/ns3	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/ns3	2025-06-01 20:34:45.276701000 -0700
@@ -1506,7 +1506,11 @@
             if target_to_run in ["mpiexec", "mpirun"] and os.getenv("MPI_CI"):
                 if shutil.which("ompi_info"):
                     target_args = ["--oversubscribe"] + target_args
-                target_args = ["--allow-run-as-root"] + target_args
+                    try:
+                        subprocess.check_call([target_to_run, "--allow-run-as-root", "dir"])
+                        target_args = ["--allow-run-as-root"] + target_args
+                    except subprocess.CalledProcessError:
+                        pass
 
     program_arguments = [*debugging_software, target_to_run, *target_args]
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/pyproject.toml ns-3.45/pyproject.toml
--- ns-3.44/pyproject.toml	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/pyproject.toml	2025-06-01 20:34:45.276701000 -0700
@@ -5,7 +5,7 @@
     "setuptools>=45",
     "setuptools_scm[toml]>=6.0",
     "cmake-build-extension>=0.4",
-    "cppyy==3.1.2",
+    "cppyy==3.5.0",
 ]
 
 [tool.setuptools_scm]
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/setup.cfg ns-3.45/setup.cfg
--- ns-3.44/setup.cfg	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/setup.cfg	2025-06-01 20:34:45.276701000 -0700
@@ -38,5 +38,5 @@
 zip_safe = False
 python_requires = >=3.8
 install_requires =
-    cppyy==3.1.2
+    cppyy==3.5.0
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/antenna/model/uniform-planar-array.cc ns-3.45/src/antenna/model/uniform-planar-array.cc
--- ns-3.44/src/antenna/model/uniform-planar-array.cc	2025-03-09 16:55:49.343371000 -0700
+++ ns-3.45/src/antenna/model/uniform-planar-array.cc	2025-06-01 20:34:45.277701100 -0700
@@ -138,28 +138,37 @@
 void
 UniformPlanarArray::SetAlpha(double alpha)
 {
-    m_alpha = alpha;
-    m_cosAlpha = cos(m_alpha);
-    m_sinAlpha = sin(m_alpha);
-    InvalidateChannels();
+    if (alpha != m_alpha)
+    {
+        m_alpha = alpha;
+        m_cosAlpha = cos(m_alpha);
+        m_sinAlpha = sin(m_alpha);
+        InvalidateChannels();
+    }
 }
 
 void
 UniformPlanarArray::SetBeta(double beta)
 {
-    m_beta = beta;
-    m_cosBeta = cos(m_beta);
-    m_sinBeta = sin(m_beta);
-    InvalidateChannels();
+    if (beta != m_beta)
+    {
+        m_beta = beta;
+        m_cosBeta = cos(m_beta);
+        m_sinBeta = sin(m_beta);
+        InvalidateChannels();
+    }
 }
 
 void
 UniformPlanarArray::SetPolSlant(double polSlant)
 {
-    m_polSlant = polSlant;
-    m_cosPolSlant[0] = cos(m_polSlant);
-    m_sinPolSlant[0] = sin(m_polSlant);
-    InvalidateChannels();
+    if (polSlant != m_polSlant)
+    {
+        m_polSlant = polSlant;
+        m_cosPolSlant[0] = cos(m_polSlant);
+        m_sinPolSlant[0] = sin(m_polSlant);
+        InvalidateChannels();
+    }
 }
 
 void
@@ -298,8 +307,11 @@
     NS_ASSERT_MSG(nPorts > 0, "Ports should be greater than 0");
     NS_ASSERT_MSG(((m_numRows % nPorts) == 0),
                   "The number of vertical ports must divide number of rows");
-    m_numVPorts = nPorts;
-    InvalidateChannels();
+    if (nPorts != m_numVPorts)
+    {
+        m_numVPorts = nPorts;
+        InvalidateChannels();
+    }
 }
 
 void
@@ -308,8 +320,11 @@
     NS_ASSERT_MSG(nPorts > 0, "Ports should be greater than 0");
     NS_ASSERT_MSG(((m_numColumns % nPorts) == 0),
                   "The number of horizontal ports must divide number of columns");
-    m_numHPorts = nPorts;
-    InvalidateChannels();
+    if (nPorts != m_numHPorts)
+    {
+        m_numHPorts = nPorts;
+        InvalidateChannels();
+    }
 }
 
 uint16_t
@@ -383,13 +398,16 @@
 void
 UniformPlanarArray::SetDualPol(bool isDualPol)
 {
-    m_isDualPolarized = isDualPol;
-    if (isDualPol)
+    if (isDualPol != m_isDualPolarized)
     {
-        m_cosPolSlant[1] = cos(m_polSlant - M_PI / 2);
-        m_sinPolSlant[1] = sin(m_polSlant - M_PI / 2);
+        m_isDualPolarized = isDualPol;
+        if (isDualPol)
+        {
+            m_cosPolSlant[1] = cos(m_polSlant - M_PI / 2);
+            m_sinPolSlant[1] = sin(m_polSlant - M_PI / 2);
+        }
+        InvalidateChannels();
     }
-    InvalidateChannels();
 }
 
 double
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/antenna/test/test-adjacency-matrix.cc ns-3.45/src/antenna/test/test-adjacency-matrix.cc
--- ns-3.44/src/antenna/test/test-adjacency-matrix.cc	2025-03-09 16:55:49.343371000 -0700
+++ ns-3.45/src/antenna/test/test-adjacency-matrix.cc	2025-06-01 20:34:45.278701000 -0700
@@ -23,7 +23,9 @@
      * The constructor of the test case
      */
     SymmetricAdjacencyMatrixTestCase()
-        : TestCase("SymmetricAdjacencyMatrix test case"){};
+        : TestCase("SymmetricAdjacencyMatrix test case")
+    {
+    }
 
   private:
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/antenna/test/test-cosine-antenna.cc ns-3.45/src/antenna/test/test-cosine-antenna.cc
--- ns-3.44/src/antenna/test/test-cosine-antenna.cc	2025-03-09 16:55:49.343371000 -0700
+++ ns-3.45/src/antenna/test/test-cosine-antenna.cc	2025-06-01 20:34:45.278701000 -0700
@@ -80,8 +80,7 @@
 {
     std::ostringstream oss;
     oss << "theta=" << a.GetInclination() << " , phi=" << a.GetAzimuth() << ", beamdwidth=" << b
-        << "deg"
-        << ", orientation=" << o << ", maxGain=" << g << " dB";
+        << "deg, orientation=" << o << ", maxGain=" << g << " dB";
     return oss.str();
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/antenna/test/test-parabolic-antenna.cc ns-3.45/src/antenna/test/test-parabolic-antenna.cc
--- ns-3.44/src/antenna/test/test-parabolic-antenna.cc	2025-03-09 16:55:49.343371000 -0700
+++ ns-3.45/src/antenna/test/test-parabolic-antenna.cc	2025-06-01 20:34:45.278701000 -0700
@@ -81,8 +81,7 @@
 {
     std::ostringstream oss;
     oss << "theta=" << a.GetInclination() << " , phi=" << a.GetAzimuth() << ", beamdwidth=" << b
-        << "deg"
-        << ", orientation=" << o << ", maxAttenuation=" << g << " dB";
+        << "deg, orientation=" << o << ", maxAttenuation=" << g << " dB";
     return oss.str();
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/antenna/test/test-uniform-planar-array.cc ns-3.45/src/antenna/test/test-uniform-planar-array.cc
--- ns-3.44/src/antenna/test/test-uniform-planar-array.cc	2025-03-09 16:55:49.343371000 -0700
+++ ns-3.45/src/antenna/test/test-uniform-planar-array.cc	2025-06-01 20:34:45.278701000 -0700
@@ -108,8 +108,7 @@
 {
     std::ostringstream oss;
     oss << "UPA=" << rows << "x" << cols << ", row spacing=" << rowSpace << "*lambda"
-        << ", col spacing=" << colSpace << "*lambda"
-        << ", bearing=" << RadiansToDegrees(alpha) << " deg"
+        << ", col spacing=" << colSpace << "*lambda, bearing=" << RadiansToDegrees(alpha) << " deg"
         << ", tilting=" << RadiansToDegrees(beta) << " deg"
         << ", element=" << element->GetInstanceTypeId().GetName() << ", direction=" << direction;
     return oss.str();
@@ -207,7 +206,9 @@
      */
     UpdateOnChangeTestCase(Ptr<AntennaModel> element, std::string name)
         : TestCase(name),
-          m_element(element){};
+          m_element(element)
+    {
+    }
 
   private:
     /**
@@ -257,6 +258,19 @@
         false,
         "Not expecting update, since the pair was just updated and no settings changed");
     ant->SetAlpha(DegreesToRadians(90));
+    NS_TEST_ASSERT_MSG_EQ(
+        ant->IsChannelOutOfDate(ant2),
+        false,
+        "Not expecting update, since the pair was just updated and angle was not changed");
+    ant->SetAlpha(DegreesToRadians(85));
+    NS_TEST_ASSERT_MSG_EQ(ant2->IsChannelOutOfDate(ant),
+                          true,
+                          "Expecting update, antenna parameter changed");
+    NS_TEST_ASSERT_MSG_EQ(
+        ant->IsChannelOutOfDate(ant2),
+        false,
+        "Not expecting update, since the pair was just updated and angle was not changed");
+    ant->SetAlpha(DegreesToRadians(80));
     NS_TEST_ASSERT_MSG_EQ(ant->IsChannelOutOfDate(ant2),
                           true,
                           "Expecting update, antenna parameter changed");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/antenna/utils/symmetric-adjacency-matrix.h ns-3.45/src/antenna/utils/symmetric-adjacency-matrix.h
--- ns-3.44/src/antenna/utils/symmetric-adjacency-matrix.h	2025-03-09 16:55:49.343371000 -0700
+++ ns-3.45/src/antenna/utils/symmetric-adjacency-matrix.h	2025-06-01 20:34:45.278701000 -0700
@@ -126,7 +126,7 @@
  *
  * Then we set the weights from the nodes to themselves as 0
  * @code
- * for (size_t i=0; i < routeWeights.GetRows(); i++)
+ * for (std::size_t i=0; i < routeWeights.GetRows(); i++)
  * {
  *     routeWeights.SetValue(i, i, 0);
  * }
@@ -135,9 +135,9 @@
  * Create the known shortest paths
  * @code
  *  std::map<std::pair<int, int>, std::vector<int>> routeMap;
- *  for (size_t i = 0; i < routeWeights.GetRows(); i++)
+ *  for (std::size_t i = 0; i < routeWeights.GetRows(); i++)
  *  {
- *      for (size_t j = 0; j < routeWeights.GetRows(); j++)
+ *      for (std::size_t j = 0; j < routeWeights.GetRows(); j++)
  *      {
  *          if (routeWeights.GetValue(i, j) != maxFloat)
  *          {
@@ -158,11 +158,11 @@
  * and store them in a routing table. In this case, by brute-force
  *
  * @code
- * for (size_t bridgeNode = 0; bridgeNode < routeWeights.GetRows(); bridgeNode++)
+ * for (std::size_t bridgeNode = 0; bridgeNode < routeWeights.GetRows(); bridgeNode++)
  *  {
- *      for (size_t srcNode = 0; srcNode < routeWeights.GetRows(); srcNode++)
+ *      for (std::size_t srcNode = 0; srcNode < routeWeights.GetRows(); srcNode++)
  *      {
- *          for (size_t dstNode = 0; dstNode < routeWeights.GetRows(); dstNode++)
+ *          for (std::size_t dstNode = 0; dstNode < routeWeights.GetRows(); dstNode++)
  *          {
  *              auto weightA = routeWeights.GetValue(srcNode, bridgeNode);
  *              auto weightB = routeWeights.GetValue(bridgeNode, dstNode);
@@ -237,16 +237,16 @@
      * @param [in] numRows The number of rows in the matrix
      * @param [in] value The default initialization value of matrix
      */
-    SymmetricAdjacencyMatrix(size_t numRows = 0, T value = {})
+    SymmetricAdjacencyMatrix(std::size_t numRows = 0, T value = {})
     {
         m_rows = numRows;
         m_matrix.resize(m_rows * (m_rows + 1) / 2);
         std::fill(m_matrix.begin(), m_matrix.end(), value);
-        for (size_t i = 0; i < numRows; i++)
+        for (std::size_t i = 0; i < numRows; i++)
         {
             m_rowOffsets.push_back(i * (i + 1) / 2);
         }
-    };
+    }
 
     /**
      * @brief Retrieve the value of matrix (row, column) node
@@ -254,7 +254,7 @@
      * @param [in] column  The column of the matrix to retrieve the value
      * @return value retrieved from matrix (row, column) or matrix (column, row)
      */
-    T GetValue(size_t row, size_t column)
+    T GetValue(std::size_t row, std::size_t column)
     {
         // Highest id should be always row, since we have only half matrix
         const auto maxIndex = std::max(row, column);
@@ -268,7 +268,7 @@
      * @param [in] column The column of the matrix to set the value
      * @param [in] value value to be assigned to matrix (row, column) or matrix (column, row)
      */
-    void SetValue(size_t row, size_t column, T value)
+    void SetValue(std::size_t row, std::size_t column, T value)
     {
         // Highest id should be always row, since we have only half matrix
         const auto maxIndex = std::max(row, column);
@@ -282,18 +282,18 @@
      * @param [in] row The row of the matrix to set the value
      * @param [in] value Value to be assigned to matrix (row, column) or matrix (column, row)
      */
-    void SetValueAdjacent(size_t row, T value)
+    void SetValueAdjacent(std::size_t row, T value)
     {
         // Since we only store the lower-left half of the adjacency matrix,
         // we need to set the adjacent values in both rows and columns involving this row id
 
         // First set the columns of row m_id
-        for (size_t i = 0; i < row; i++)
+        for (std::size_t i = 0; i < row; i++)
         {
             m_matrix.at(m_rowOffsets.at(row) + i) = value;
         }
         // Then set the column m_id of rows >= m_id
-        for (size_t i = row; i < m_rows; i++)
+        for (std::size_t i = row; i < m_rows; i++)
         {
             m_matrix.at(m_rowOffsets.at(i) + row) = value;
         }
@@ -307,24 +307,24 @@
         m_rowOffsets.push_back(m_matrix.size());
         m_rows++;
         m_matrix.resize(m_matrix.size() + m_rows);
-    };
+    }
 
     /**
      * @brief Retrieve number of rows in the adjacency matrix
      * @return the number of rows
      */
-    size_t GetRows()
+    std::size_t GetRows()
     {
         return m_rows;
     }
 
   private:
-    size_t m_rows; //!< Number of rows in matrix
+    std::size_t m_rows; //!< Number of rows in matrix
     std::vector<T>
         m_matrix; //!< The adjacency matrix. For efficiency purposes, we store only lower
                   //!< left half, including the main diagonal. It also is stored as a vector
                   //!< not to introduce gaps between different rows or items (in case T = bool)
-    std::vector<size_t> m_rowOffsets; //!< Precomputed row starting offsets of m_matrix
+    std::vector<std::size_t> m_rowOffsets; //!< Precomputed row starting offsets of m_matrix
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/aodv/model/aodv-packet.cc ns-3.45/src/aodv/model/aodv-packet.cc
--- ns-3.44/src/aodv/model/aodv-packet.cc	2025-03-09 16:55:49.343371000 -0700
+++ ns-3.45/src/aodv/model/aodv-packet.cc	2025-06-01 20:34:45.279701000 -0700
@@ -201,10 +201,10 @@
 void
 RreqHeader::Print(std::ostream& os) const
 {
-    os << "RREQ ID " << m_requestID << " destination: ipv4 " << m_dst << " sequence number "
-       << m_dstSeqNo << " source: ipv4 " << m_origin << " sequence number " << m_originSeqNo
-       << " flags:"
-       << " Gratuitous RREP " << (*this).GetGratuitousRrep() << " Destination only "
+    os << "RREQ ID " << m_requestID;
+    os << " destination: ipv4 " << m_dst << " sequence number " << m_dstSeqNo;
+    os << " source: ipv4 " << m_origin << " sequence number " << m_originSeqNo;
+    os << " flags: Gratuitous RREP " << (*this).GetGratuitousRrep() << " Destination only "
        << (*this).GetDestinationOnly() << " Unknown sequence number " << (*this).GetUnknownSeqno();
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/three-gpp-http-client.cc ns-3.45/src/applications/model/three-gpp-http-client.cc
--- ns-3.44/src/applications/model/three-gpp-http-client.cc	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/three-gpp-http-client.cc	2025-06-01 20:34:45.281701000 -0700
@@ -59,6 +59,7 @@
                 PointerValue(),
                 MakePointerAccessor(&ThreeGppHttpClient::m_httpVariables),
                 MakePointerChecker<ThreeGppHttpVariables>())
+            // NS_DEPRECATED_3_44
             .AddAttribute("RemoteServerAddress",
                           "The address of the destination server.",
                           AddressValue(),
@@ -66,6 +67,7 @@
                           MakeAddressChecker(),
                           TypeId::SupportLevel::DEPRECATED,
                           "Replaced by Remote in ns-3.44.")
+            // NS_DEPRECATED_3_44
             .AddAttribute("RemoteServerPort",
                           "The destination port of the outbound packets.",
                           UintegerValue(80), // the default HTTP port
@@ -364,10 +366,8 @@
             NS_FATAL_ERROR("Invalid state " << GetStateString() << " for ReceivedData().");
             break;
         }
-
-    } // end of `while ((packet = socket->RecvFrom (from)))`
-
-} // end of `void ReceivedDataCallback (Ptr<Socket> socket)`
+    }
+}
 
 void
 ThreeGppHttpClient::OpenConnection()
@@ -435,7 +435,7 @@
                                 MakeCallback(&ThreeGppHttpClient::ErrorCloseCallback, this));
     m_socket->SetRecvCallback(MakeCallback(&ThreeGppHttpClient::ReceivedDataCallback, this));
     m_socket->SetAttribute("MaxSegLifetime", DoubleValue(0.02)); // 20 ms.
-} // end of `void OpenConnection ()`
+}
 
 void
 ThreeGppHttpClient::RequestMainObject()
@@ -472,8 +472,7 @@
         SwitchToState(EXPECTING_MAIN_OBJECT);
         m_pageLoadStartTs = Simulator::Now(); // start counting page loading time
     }
-
-} // end of `void RequestMainObject ()`
+}
 
 void
 ThreeGppHttpClient::RequestEmbeddedObject()
@@ -518,8 +517,7 @@
         m_embeddedObjectsToBeRequested--;
         SwitchToState(EXPECTING_EMBEDDED_OBJECT);
     }
-
-} // end of `void RequestEmbeddedObject ()`
+}
 
 void
 ThreeGppHttpClient::ReceiveMainObject(Ptr<Packet> packet, const Address& from)
@@ -573,7 +571,7 @@
     }
 
     EnterParsingTime();
-} // end of `void ReceiveMainObject (Ptr<Packet> packet)`
+}
 
 void
 ThreeGppHttpClient::ReceiveEmbeddedObject(Ptr<Packet> packet, const Address& from)
@@ -643,7 +641,7 @@
         FinishReceivingPage(); // trigger callback for page loading time
         EnterReadingTime();
     }
-} // end of `void ReceiveEmbeddedObject (Ptr<Packet> packet)`
+}
 
 void
 ThreeGppHttpClient::Receive(Ptr<Packet> packet)
@@ -680,11 +678,9 @@
      */
     if (m_objectBytesToBeReceived < contentSize)
     {
-        NS_LOG_WARN(this << " The received packet"
-                         << " (" << contentSize << " bytes of content)"
-                         << " is larger than"
-                         << " the content that we expected to receive"
-                         << " (" << m_objectBytesToBeReceived << " bytes).");
+        NS_LOG_WARN(this << " The received packet (" << contentSize << " bytes of content)"
+                         << " is larger than the content that we expected to receive ("
+                         << m_objectBytesToBeReceived << " bytes).");
         // Stop expecting any more packet of this object.
         m_objectBytesToBeReceived = 0;
         m_constructedPacket = nullptr;
@@ -698,8 +694,7 @@
             m_constructedPacket->AddAtEnd(packetCopy);
         }
     }
-
-} // end of `void Receive (packet)`
+}
 
 void
 ThreeGppHttpClient::EnterParsingTime()
@@ -754,8 +749,7 @@
         FinishReceivingPage(); // trigger callback for page loading time
         EnterReadingTime();
     }
-
-} // end of `void ParseMainObject ()`
+}
 
 void
 ThreeGppHttpClient::EnterReadingTime()
@@ -816,10 +810,9 @@
     {
         if (m_objectBytesToBeReceived > 0)
         {
-            NS_FATAL_ERROR("Cannot start a new receiving session"
-                           << " if the previous object"
-                           << " (" << m_objectBytesToBeReceived << " bytes)"
-                           << " is not completely received yet.");
+            NS_FATAL_ERROR("Cannot start a new receiving session if the previous object ("
+                           << m_objectBytesToBeReceived
+                           << " bytes) is not completely received yet.");
         }
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/three-gpp-http-client.h ns-3.45/src/applications/model/three-gpp-http-client.h
--- ns-3.44/src/applications/model/three-gpp-http-client.h	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/three-gpp-http-client.h	2025-06-01 20:34:45.282701000 -0700
@@ -437,8 +437,7 @@
      * elapsed.
      */
     EventId m_eventParseMainObject;
-
-}; // end of `class ThreeGppHttpClient`
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/three-gpp-http-header.h ns-3.45/src/applications/model/three-gpp-http-header.h
--- ns-3.44/src/applications/model/three-gpp-http-header.h	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/three-gpp-http-header.h	2025-06-01 20:34:45.282701000 -0700
@@ -119,8 +119,7 @@
     uint32_t m_contentLength; //!<" Content length field (in bytes unit).
     uint64_t m_clientTs;      //!<" Client time stamp field (in time step unit).
     uint64_t m_serverTs;      //!<" Server time stamp field (in time step unit).
-
-}; // end of `class ThreeGppHttpHeader`
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/three-gpp-http-server.cc ns-3.45/src/applications/model/three-gpp-http-server.cc
--- ns-3.44/src/applications/model/three-gpp-http-server.cc	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/three-gpp-http-server.cc	2025-06-01 20:34:45.282701000 -0700
@@ -59,6 +59,7 @@
                           PointerValue(),
                           MakePointerAccessor(&ThreeGppHttpServer::m_httpVariables),
                           MakePointerChecker<ThreeGppHttpVariables>())
+            // NS_DEPRECATED_3_44
             .AddAttribute("LocalAddress",
                           "The local address of the server, "
                           "i.e., the address on which to bind the Rx socket.",
@@ -67,6 +68,7 @@
                           MakeAddressChecker(),
                           TypeId::SupportLevel::DEPRECATED,
                           "Replaced by Local in ns-3.44.")
+            // NS_DEPRECATED_3_44
             .AddAttribute("LocalPort",
                           "Port on which the application listen for incoming packets.",
                           UintegerValue(80), // the default HTTP port
@@ -282,10 +284,10 @@
         m_initialSocket->SetRecvCallback(
             MakeCallback(&ThreeGppHttpServer::ReceivedDataCallback, this));
         m_initialSocket->SetSendCallback(MakeCallback(&ThreeGppHttpServer::SendCallback, this));
-    } // end of `if (m_initialSocket == 0)`
+    }
 
     SwitchToState(STARTED);
-} // end of `void StartApplication ()`
+}
 
 void
 ThreeGppHttpServer::StopApplication()
@@ -442,8 +444,8 @@
         {
         case ThreeGppHttpHeader::MAIN_OBJECT: {
             const auto processingDelay = m_httpVariables->GetMainObjectGenerationDelay();
-            NS_LOG_INFO(this << " Will finish generating a main object"
-                             << " in " << processingDelay.As(Time::S) << ".");
+            NS_LOG_INFO(this << " Will finish generating a main object in "
+                             << processingDelay.As(Time::S) << ".");
             m_txBuffer->RecordNextServe(socket,
                                         Simulator::Schedule(processingDelay,
                                                             &ThreeGppHttpServer::ServeNewMainObject,
@@ -454,8 +456,8 @@
         }
         case ThreeGppHttpHeader::EMBEDDED_OBJECT: {
             const auto processingDelay = m_httpVariables->GetEmbeddedObjectGenerationDelay();
-            NS_LOG_INFO(this << " Will finish generating an embedded object"
-                             << " in " << processingDelay.As(Time::S) << ".");
+            NS_LOG_INFO(this << " Will finish generating an embedded object in "
+                             << processingDelay.As(Time::S) << ".");
             m_txBuffer->RecordNextServe(
                 socket,
                 Simulator::Schedule(processingDelay,
@@ -469,10 +471,8 @@
             NS_FATAL_ERROR("Invalid packet.");
             break;
         }
-
-    } // end of `while ((packet = socket->RecvFrom (from)))`
-
-} // end of `void ReceivedDataCallback (Ptr<Socket> socket)`
+    }
+}
 
 void
 ThreeGppHttpServer::SendCallback(Ptr<Socket> socket, uint32_t availableBufferSize)
@@ -494,12 +494,12 @@
         switch (m_txBuffer->GetBufferContentType(socket))
         {
         case ThreeGppHttpHeader::MAIN_OBJECT:
-            NS_LOG_INFO(this << " Transmission of main object is suspended"
-                             << " after " << actualSent << " bytes.");
+            NS_LOG_INFO(this << " Transmission of main object is suspended after " << actualSent
+                             << " bytes.");
             break;
         case ThreeGppHttpHeader::EMBEDDED_OBJECT:
-            NS_LOG_INFO(this << " Transmission of embedded object is suspended"
-                             << " after " << actualSent << " bytes.");
+            NS_LOG_INFO(this << " Transmission of embedded object is suspended after " << actualSent
+                             << " bytes.");
             break;
         default:
             NS_FATAL_ERROR("Invalid Tx buffer content type.");
@@ -522,8 +522,7 @@
         }
     }
 #endif /* NS3_LOG_ENABLE */
-
-} // end of `void SendCallback (Ptr<Socket> socket, uint32_t availableBufferSize)`
+}
 
 void
 ThreeGppHttpServer::ServeNewMainObject(Ptr<Socket> socket)
@@ -538,8 +537,8 @@
 
     if (actualSent < objectSize)
     {
-        NS_LOG_INFO(this << " Transmission of main object is suspended"
-                         << " after " << actualSent << " bytes.");
+        NS_LOG_INFO(this << " Transmission of main object is suspended after " << actualSent
+                         << " bytes.");
     }
     else
     {
@@ -560,8 +559,8 @@
 
     if (actualSent < objectSize)
     {
-        NS_LOG_INFO(this << " Transmission of embedded object is suspended"
-                         << " after " << actualSent << " bytes.");
+        NS_LOG_INFO(this << " Transmission of embedded object is suspended after " << actualSent
+                         << " bytes.");
     }
     else
     {
@@ -636,14 +635,11 @@
     }
     else
     {
-        NS_LOG_INFO(this << " Failed to send object,"
-                         << " GetErrNo= " << socket->GetErrno() << ","
-                         << " suspending transmission"
-                         << " and waiting for another Tx opportunity.");
+        NS_LOG_INFO(this << " Failed to send object, GetErrNo= " << socket->GetErrno()
+                         << ", suspending transmission and waiting for another Tx opportunity.");
         return 0;
     }
-
-} // end of `uint32_t ServeFromTxBuffer (Ptr<Socket> socket)`
+}
 
 void
 ThreeGppHttpServer::SwitchToState(ThreeGppHttpServer::State_t state)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/three-gpp-http-variables.cc ns-3.45/src/applications/model/three-gpp-http-variables.cc
--- ns-3.44/src/applications/model/three-gpp-http-variables.cc	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/three-gpp-http-variables.cc	2025-06-01 20:34:45.282701000 -0700
@@ -202,9 +202,8 @@
     // Validate parameters.
     if (m_mainObjectSizeMax <= m_mainObjectSizeMin)
     {
-        NS_FATAL_ERROR("`MainObjectSizeMax` attribute "
-                       << " must be greater than"
-                       << " the `MainObjectSizeMin` attribute.");
+        NS_FATAL_ERROR("`MainObjectSizeMax` attribute must be greater than the `MainObjectSizeMin` "
+                       "attribute.");
     }
 
     /*
@@ -233,9 +232,8 @@
     // Validate parameters.
     if (m_embeddedObjectSizeMax <= m_embeddedObjectSizeMin)
     {
-        NS_FATAL_ERROR("`EmbeddedObjectSizeMax` attribute "
-                       << " must be greater than"
-                       << " the `EmbeddedObjectSizeMin` attribute.");
+        NS_FATAL_ERROR("`EmbeddedObjectSizeMax` attribute must be greater than the "
+                       "`EmbeddedObjectSizeMin` attribute.");
     }
 
     /*
@@ -259,9 +257,8 @@
     const auto upperBound = static_cast<uint32_t>(m_numOfEmbeddedObjectsRng->GetBound());
     if (upperBound <= m_numOfEmbeddedObjectsScale)
     {
-        NS_FATAL_ERROR("`NumOfEmbeddedObjectsMax` attribute "
-                       << " must be greater than"
-                       << " the `NumOfEmbeddedObjectsScale` attribute.");
+        NS_FATAL_ERROR("`NumOfEmbeddedObjectsMax` attribute must be greater than the "
+                       "`NumOfEmbeddedObjectsScale` attribute.");
     }
 
     /*
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/three-gpp-http-variables.h ns-3.45/src/applications/model/three-gpp-http-variables.h
--- ns-3.44/src/applications/model/three-gpp-http-variables.h	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/three-gpp-http-variables.h	2025-06-01 20:34:45.282701000 -0700
@@ -329,8 +329,7 @@
      * Random variable for determining the length of parsing time (in seconds).
      */
     Ptr<ExponentialRandomVariable> m_parsingTimeRng;
-
-}; // end of `class ThreeGppHttpVariables`
+};
 
 } // namespace ns3
 
